import { defineConfig } from '@umijs/max';
import routes from './routes';

const mode = process.env.mode;

export default defineConfig({
  define: {
    "process.env": {
      BUILD_ENV: JSON.stringify(mode)
    }
  },
  dva: {},
  antd: {},
  access: {
    
  },
  model: {},
  initialState: {
    
  },
  request: {},
  layout: {
    title: '菊城人才网',
    logo: '/images/logo_1.jpg',
    token: {
      colorPrimary: '#4FBE70'
    },
  },
  routes: routes,
  hash: true,
  npmClient: 'npm',

});

